@import url(./module.css);


#wpadminbar{
  display: none;
  /* top: 550px !important; */
 
}

::selection {
    background: #000;
    color: #fff;
}

/* 스크롤 가능하지만 스크롤바 숨기기 */
body {
  overflow: auto; /* 스크롤 가능 */
}

/* 웹킷 브라우저 */
::-webkit-scrollbar {
  width: 0px;
  background: transparent;
}

/* Firefox */
body {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE 10+ */
}



@font-face {
    font-family: 'Jibaek';
    src: url('../fonts/Jibaek-120g-beta.otf');
    font-weight: 400;
}


@font-face {
    font-family: 'Jibaek';
    src: url('../fonts/Jibaek-260g-beta.otf');
    font-weight: 500;
}

@font-face {
    font-family: 'SuisseIntl';
    src: url('../fonts/SuisseIntl-Light.otf');
    font-weight: 300;
}


@font-face {
    font-family: 'SuisseIntl';
    src: url('../fonts/SuisseIntl-Regular.otf');
    font-weight: 400;
}

@font-face {
    font-family: 'SuisseIntl';
    src: url('../fonts/SuisseIntl-Medium.otf');
    font-weight: 500;
}

@font-face {
    font-family: 'SuisseIntl';
    src: url('../fonts/SuisseIntl-SemiBold.otf');
    font-weight: 600;
}


@font-face {
    font-family: 'SuisseIntl';
    src: url('../fonts/SuisseIntl-Bold.otf');
    font-weight: 700;
}


@font-face {
    font-family: 'SuisseIntl';
    src: url('../fonts/SuisseIntl-Black.otf');
    font-weight: 800;
}





/* 공통 변수 */
:root {
  --background: #fff;
  --fontcolor: #000;
  --subColorG:rgb(202,202,202);
  --subColorG2:#8a8a8a;
  --padding:5px;
  --strokeL:120px;
  --blue:#0051ff;
  --green:rgb(57, 171, 16);
  --red:rgb(255,50,0);
  --black:#000;
  --lh:1rem; 
}

*{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
    word-break: keep-all;
    font-family:'SuisseIntl','Jibaek', "Pretendard", sans-serif;
  
}

body {
    background: var(--background); 
    color: var(--fontcolor); 
    width: 100%;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: -0.0025em;
    line-height: 1.3;
    
}
header{
  padding: calc(var(--lh)*0.5) var(--lh);
  position: fixed;
  top: 0;
  width: 100%;
  left: 0;;
  z-index: 2;
}

.header{
  display: flex;
  justify-content: space-between;
}

.header_img, .header_img ul{
  display: flex;
}


.header_img{
  gap: calc(var(--lh))
}


.header_img ul{
  gap: calc(var(--lh)*0.3)
}


.header a{
  cursor: pointer;
}

.title{
  display: flex;
}


/* NAV */

.nav{
    position: fixed;
    display: flex;
    flex-direction: column;
    top: 0;
    left: 0;
    height: 100vh;
    /* transform: translateX(-100%);  */
    transform: translateX(0%); 
    z-index: 1;
    font-size:14px;
    font-weight: 600;
    padding:calc(var(--lh)/2);
    padding-top: calc(var(--lh)*3);
    gap: calc(var(--lh)*0.4);
    transition: transform .24s ease-in-out;
    overflow: scroll;
}

/* .nav.is-open {
  transform: translateX(0);
} */

.filter_item{
  position: relative;
  width: 100%;
}

.filter_item span{
  cursor: pointer;
}

.filter_title, .filters_list li {
    padding: 0 8px;
    border-radius: 3px;
    height: 2em;
    line-height: 2em;
}

.filter_title{
    position: relative;
    color:transparent;
    display: inline-flex;
    align-items: center;
    gap: 6px;
    transition: background-color 0.2s ;
}

.filter_title img{
  flex-shrink: 0;
}

.filter_content{
  margin-top: calc(var(--lh)*0.5);
  display: none;
}

.filters_list{
  display: flex;
  flex-direction: column;
  gap: .3rem;
  align-items: flex-start;
  margin: 0;
  margin-left: var(--lh);
  padding: 0;
}


.nav .filters_list li {
    display: inline-block;
    background-color: var(--subColorG);
    transition: background-color 0.2s, color 0.2s ;
    color: #000;
    cursor: pointer;
}

.nav .filters_list li:hover{
  background-color: var(--red);
   color: #fff;
  
}



/* Masonary */

.masonry__container {
  padding:var(--lh);
  /* padding-top: calc(var(--lh)*3); */
	column-gap: var(--lh);
  height: auto;
  overflow: scroll;
  column-count: 6;
  
}

.masonry__item {
  width: 100%;
  display: block;
  will-change: transform, opacity;
  cursor: pointer;
  filter: contrast(1.2);
  position: relative;
}
.masonry__item a{
  display: none;
}

.masonry__item img {
	max-width: 100%;
	margin-bottom: var(--lh);
	display: block;  
}

.masonry__item .info{
  
  font-weight: 500;
  text-align: center;
  position: absolute;
  z-index: 100;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  line-height: 1.2;
  width: 100%;
  opacity:0;
  

}

.masonry__item .name{
  font-size: 14px;
  font-weight: 700;
  margin-bottom: 2px;
  line-height: 1.1;
}

.tagWrap{
  display: flex;
  flex-wrap: wrap;
  margin-top: calc(var(--lh)*0.5);
  justify-content: center;
  gap: calc(var(--lh)*0.3);
  padding: 0 calc(var(--lh)*0.3);
}

.tagWrap .tag a{
  background-color: var(--subColorG);
  color: var(--subColorG2);
  display: block;
  padding: 2px 4px;
  border-radius: 3px;
  font-weight: 400;
  font-size: .7rem;
}


.designer{
  display: none;
}

@media screen and (max-width: 880px) {


.masonry__item .name{
  font-size: 10px;
  margin-bottom: 2px;
  
}

  .tagWrap{
  display: none;
}


}

.tagWrap .tag a:hover{
  transition: color 0.2s, background-color 0.2s;
  color: #fff;
  background-color: #000;
}

.masonry__item.hovered img{
  opacity: 0.2 ;
}


.masonry__item.hovered .info{
  opacity: 1 ; 
}



/* main */

.main {
  width: 100%;
  transition: width 0.5s ;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
   height: auto;
  overflow: visible;
  
}






/*  section _ Thumnail */
.thum_container{
  position: fixed;
  bottom: 0;
 padding: var(--lh);
 display: none;
}

.thum_container .imgWrap{
  display: flex;
  flex-wrap: wrap;
  gap: calc(var(--lh)*0.5);
  align-items: center;
  
}



.thum_container .imgWrap li{
  display: flex;
  align-items: flex-end; 

}

.thum_container .imgWrap img{
  width: 100%;
 
}



/*  Search */
.search { 
  display: none; 
}

.search.is-open {
  display: block; /* 필요하면 flex로 바꿔도 됨 */
}
.glyph-wrap { display: inline-flex; align-items: center; }

.search-wrap {
  max-width: 720px;
  margin: 0px auto;
  padding: 0 16px;

}

.editor {
  border: 2px solid #000;
  background-color: #fff;
  padding: 0px 18px;
  min-height: 90px;
  font-size: 42px;
  line-height: 1.2;
  outline: none;
  display: flex;
  align-items: center;
  gap: 6px;

  /* 내용이 길어지면 옆으로 스크롤 */
  white-space: nowrap;
  overflow-x: auto;
}

.editor:empty::before {
  content: "Type to search…";
  color: #aaa;
}

.svg-token {
  display: inline-block;
  width: 1em;
  height: 1em;
  vertical-align: -0.15em;
  user-select: none;
  pointer-events: none;
}
